aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/zsh/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'zsh/install.sh')
-rwxr-xr-xzsh/install.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/zsh/install.sh b/zsh/install.sh
new file mode 100755
index 0000000..2c6b871
--- /dev/null
+++ b/zsh/install.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+if ! command -v "zsh" >/dev/null; then
+ printf "%s: zsh not found, skipping...\n" "$0"
+ exit 0
+fi
+
+mkdir -p "${XDG_CACHE_HOME}/zsh"
+
+zsh -s <<EOF
+ autoload -U compinit
+ compinit -u -d "${XDG_CACHE_HOME}/zsh/zcompdump"
+EOF